View Issue Details

IDProjectCategoryView StatusLast Update
0003752SketcherBugpublic2019-01-01 17:18
ReporterbgoodrAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinux 64-bitOSUbuntuOS Version18.04.1 LTS
Product Version0.18 
Target Version0.18Fixed in Version0.18 
Summary0003752: Preferences/Sketcher: Changing Grid size default is not respected upon creation of new Sketches
DescriptionAdjusting the File/Preferences/Sketcher "grid size" prior to sketch creation is not respected, as creating a sketch still shows a default of 0.39 inches.

Forum link with the details: How to change the default sketcher grid size?

NormandC's post 276529 also confirmed this regression on recent builds. Syres' post 276526 indicated roughly where the regression was introduced.
Steps To ReproduceSteps to reproduce:
  1. Open up FreeCAD
  2. Switch to Part Design
  3. Select File/Preferences/Sketcher
  4. Change default for "grid size" to 1 foot.
  5. Click Apply
  6. Create a new Body
  7. Create a sketch
  8. Look at the grid size in the left side panel: It is stuck at 0.39 inches, and the only way to change this is to change that value to 1 foot, and I have to keep changing it for each new sketch.


Observe that if you save the document, exit FreeCAD and reinvoke, and look at File/Preferences/Sketcher, the default is applied and saved for future documents, but creation of new Sketches does not show the new default grid size.

Additional InformationOS: Ubuntu 18.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.15513 (Git)
Build type: Release
Branch: master
Hash: 42e6650ac0e6c6e53ebb7f2bb83a07a555ea51b0
Python version: 2.7.15rc1
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedStates (en_US)


stdout or stderr shows this message (but I suspect this is not relevant to this defect):

Gtk-Message: 06:06:44.254: Failed to load module "overlay-scrollbar"
Gtk-Message: 06:06:44.261: Failed to load module "canberra-gtk-module"
TagsNo tags attached.

Issue History

Date Modified Username Field Change
2018-12-29 14:15 bgoodr New Issue
2018-12-29 14:15 bgoodr File Added: Wilsonville_House_Garage.a3977927-b98b-4b89-9fce-7c2f0afe63fa.fcstd
2018-12-30 23:41 Kunda1 Product Version => 0.18
2018-12-30 23:41 Kunda1 Target Version => 0.18
2018-12-30 23:41 Kunda1 Additional Information Updated View Revisions
2019-01-01 17:18 wmayer Assigned To => wmayer
2019-01-01 17:18 wmayer Status new => closed
2019-01-01 17:18 wmayer Resolution open => fixed
2019-01-01 17:18 wmayer Fixed in Version => 0.18
2019-01-01 17:18 wmayer Note Added: 0012358